<?php

declare(strict_types=1);

namespace KupShop\PreordersBundle\GTM\PageViews;

use KupShop\ComponentsBundle\Interfaces\GTMComponentInterface;
use KupShop\ComponentsBundle\Twig\BaseComponent;
use KupShop\GTMBundle\PageType\AbstractPageType;

class Preorders extends AbstractPageType implements GTMComponentInterface
{
    public function getPageType(&$dataContainer)
    {
        $dataContainer->page->type = 'preorders';
    }

    public function getPageData(&$dataContainer)
    {
    }

    public function getPushData(BaseComponent $component): ?object
    {
        return null;
    }
}
